BasicScrollPaneUI.MouseWheelHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicScrollPaneUI, class: MouseWheelHandler
Keywords: javax.swing.plaf.basic.BasicScrollPaneUI.MouseWheelHandler class

# Class BasicScrollPaneUI.MouseWheelHandler

java.lang.Object
javax.swing.plaf.basic.BasicScrollPaneUI.MouseWheelHandler

All Implemented Interfaces:
  `MouseWheelListener, EventListener`

Enclosing class:
  `BasicScrollPaneUI`

protected class BasicScrollPaneUI.MouseWheelHandler extends Object implements MouseWheelListener
MouseWheelHandler is an inner class which implements the MouseWheelListener interface. MouseWheelHandler responds to MouseWheelEvents by scrolling the JScrollPane appropriately. If the scroll pane's `isWheelScrollingEnabled` method returns false, no scrolling occurs.

Since:
  1.4
See Also:
  - `JScrollPane.isWheelScrollingEnabled()`
  - `BasicScrollPaneUI.createMouseWheelListener()`
  - `MouseWheelListener`
  - `MouseWheelEvent`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MouseWheelHandler()`
  Constructs a `MouseWheelHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mouseWheelMoved(MouseWheelEvent e)`
  Called when the mouse wheel is rotated while over a JScrollPane.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MouseWheelHandler

    protected MouseWheelHandler()
    Constructs a `MouseWheelHandler`.

- ## Method Details

  - ### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)
    Called when the mouse wheel is rotated while over a JScrollPane.
    Specified by:
      `mouseWheelMoved` in interface `MouseWheelListener`
    Parameters:
      `e` - MouseWheelEvent to be handled
    Since:
      1.4
    See Also:
      - `MouseWheelEvent`